LMDE 201108 RC (Gnome & Xfce) released!

Releases and other announcements.
Please don't post support questions here
Forum rules
Section reserved for the team. You can reply to announcements here but not post new topics.

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby ayu on Thu Sep 01, 2011 1:33 am

Hi Guys !
I have the previous Linux Mint Debian 64 Gnome release. When install my linux box I needed update my system and download 800MB... :shock:
Today update my system, a few MB to update. It has a few troubles with VNC Player because it can't play music CDs by can't mount the device, there is not problem, I'm playing CDs opening VNC from the console or remove VCN and use Audacius.

Yes, maybe is a stupid question but...Do i Need to install the latest LMDE Gnome release?

Of course it's my decision make a fresh install. I want a better linux box, and I dont know if install the latest release is better than update a few packages.

Thanks for your time :)

Eliud
ayu
Level 1
Level 1
 
Posts: 2
Joined: Wed Aug 10, 2011 6:12 pm

Linux Mint is funded by ads and donations.
 

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby grizzler on Thu Sep 01, 2011 2:16 am

fetterchefkoch wrote:Am I the only one who has problem with the link? I can't open http://blog.linuxmint.com/. Is the server down at the moment?

It doesn't work for me either. And http://www.downforeveryoneorjustme.com/ thinks it's down as well.
grizzler
Level 4
Level 4
 
Posts: 430
Joined: Wed Jun 15, 2011 5:19 pm
Location: The Hague, NL

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby gorillaki on Thu Sep 01, 2011 8:57 am

Some annoying things about this release ( I tried XFCE 32-bit):
1. I had to boot the DVD using "pci=nocrs nomodeset" - else everything was hanging before launching the GUI.
2. The partition manager of the installer could not work on a harrdisk with GPT partition table. Alternatively, I opened gparted (commandline parted does not exist, for some odd reason, on the installation DVD), but it could not read the harrdisk partition table properly, either.
3. After converting the harddisk partition table to msdos (I used the ArchLinux installation CD for that), the installer partitioner still did not read its contents properly. I had to open cfdisk in a console, and do the partitioning from there.
4. Installation was OK. I had to add the same things "pci=nocrs nomodeset" in the grub commandline by hand, as KMS is not playing very nice with my laptop (NVIDIA MCP79MVL chipset, 8200M-G GPU). Swap was not mounted/activated, and I had to swapon manually. Performance was more than OK, although the screen resolution (1280*800) was not recognized properly, and I had to force it. The most serious worry was the very high power consumption, but this was no surprise: nouveau is well known as eating a lot more power than the closed driver.
5. NetWorkManager absolutely sucks. Please consider seriously replacing it with wicd.
6. I could be happier if the display manager was LXDM or LightDM. Anyway this is no big deal, as the Gnome dependencies on the included software are rather low.

Most important of all: PLEASE consider repacing the extremely limited installer with the fullfledged Debian installer. The guys at Crunchbang Linux already did that, apparently with a good reason.
gorillaki
Level 1
Level 1
 
Posts: 8
Joined: Mon Jul 12, 2010 10:38 am

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby Stanie on Fri Sep 02, 2011 7:03 pm

A few little quirks I found when testing latest gnome 32b LMDE 201108 rc:

- in preferred applications firefox is not the default web browser (debian sensible browser?) and banshee is not set as the default multimedia player (rhythmbox as custom)
- speaking of firefox, mint-stylish-addon is incompatible with FF 5.0
- while browsing through synaptic, I was surprised to see openoffice transitional packages (to libreoffice) still installed
- deb packages open with archive manager instead of gdebi
- can't configure login automatically in login screen - solution in here: http://forums.linuxmint.com/viewtopic.php?f=141&t=80409&p=467469&hilit=auto+login#p467469
- my ntfs partition was not recognized after installation (no such probs in live dvd) - solution on the first page of this topic
- after booting live dvd mint update manager didn't appear on the panel at all, I had to open it manually (after installation it works great)

I know that some of these things have been mentioned in forums already or are known bugs. Fortunately most of them are easily fixed (even though a final release without these bugs would be awesome).

But that being said I am very happy with this release of LMDE and use it as my main os, even if it is still an rc only. Before I was tracking LMDE stable, but it was time for a change so latest (or maybe even incoming) here I come :D

Thanks Clem and guys!
Stanie
Level 1
Level 1
 
Posts: 11
Joined: Fri Aug 12, 2011 5:50 am

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby Demeter on Sun Sep 04, 2011 1:53 pm

manny wrote:[b]randomizer, about the fonts I followed the instruction on this link http://omnsproject.org/?p=651 and the difference is amazing.


manny, your link is Not Found :(
So, anybody can help to make fonts looks like in Ubuntu Mint based ? Esp. in Firefox and LibreOffice...
User avatar
Demeter
Level 1
Level 1
 
Posts: 4
Joined: Tue Aug 23, 2011 4:10 am

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby Haynes on Mon Sep 05, 2011 5:13 pm

I have been trying to use k3b for about 5 days. I cannot burn what I have downloaded and I cannot, most of the time, locate what has been downloaded. I have a external hard drive that I have burned dvd's o from--I used dvd shrink to download the disks. The burned dvd's will not play on my dvd player. The burned disks will only play on the linux computer. The Mint 11 has been very confusing to use. Too many packets and subpackets.
Haynes
Level 1
Level 1
 
Posts: 1
Joined: Mon Sep 05, 2011 3:58 pm

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby halfmeg on Tue Sep 06, 2011 3:49 pm

When compiling a program using the Xfce 201108 RC I get the below warning. The program doesn't work but gives 'illegal instruction' after make install and an attempt to execute it.

It compiles without the warning and works properly with 201104 Xfce. GCC options for both after warning message.

/bin/bash ../libtool --tag=CC --mode=link gcc -W -Wall -O3 -march=k8 -fomit-frame-pointer -module -no-undefined -export-dynamic -avoid-version -Wl,--warn-common -o dyncrypt.la -rpath /usr/local/lib/hercules dyncrypt.lo sha1.lo sha256.lo des.lo aes.lo -lpthread -lrt -lresolv -lnsl -lm -ldl -pthread ../libhercs.la ../libherc.la ../libhercu.la -lpthread -lrt -lresolv -lnsl -lm -ldl -pthread

*** Warning: This system can not link to static lib archive ../libhercs.la.
*** I have the capability to make that library automatically link in when
*** you link to this library. But I can only do this if you have a
*** shared version of the library, which you do not appear to have.
*** But as you try to build a module library, libtool will still create
*** a static module, that should work as long as the dlopening application
*** is linked with the -dlopen flag to resolve symbols at runtime.
ar cru .libs/dyncrypt.a .libs/dyncrypt.o .libs/sha1.o .libs/sha256.o .libs/des.o .libs/aes.o
ranlib .libs/dyncrypt.a
creating dyncrypt.la
(cd .libs && rm -f dyncrypt.la && ln -s ../dyncrypt.la dyncrypt.la)
make[2]: Leaving directory `/home/mint/hercules-SVN-7747/crypto'


201104

Using built-in specs.
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 4.4.5-13' --with-bugurl=file:///usr/share/doc/gcc-4.4/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.4 --enable-shared --enable-multiarch --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.4 --libdir=/usr/lib --enable-nls --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --with-arch-32=i586 --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 4.4.5 (Debian 4.4.5-13)


201108 RC

Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/x86_64-linux-gnu/gcc/x86_64-linux-gnu/4.6.1/lto-wrapper
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 4.6.1-4' --with-bugurl=file:///usr/share/doc/gcc-4.6/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++,go --prefix=/usr --program-suffix=-4.6 --enable-shared --enable-multiarch --with-multiarch-defaults=x86_64-linux-gnu --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib/x86_64-linux-gnu --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.6 --libdir=/usr/lib/x86_64-linux-gnu --enable-nls --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --enable-plugin --enable-objc-gc --with-arch-32=i586 --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 4.6.1 (Debian 4.6.1-4)


I see libexecdir is different and a few other options, but this sutff is greek to me as to what and where things should be. What or where should a change be made to correct whatever is causing the issue ?

newbie
halfmeg
Level 1
Level 1
 
Posts: 2
Joined: Tue Sep 06, 2011 3:35 pm

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby pcdoctor on Wed Sep 07, 2011 9:52 pm

Something similar I've seen a few years back is that I would burn a dvd using k3b and only linux would play the dvd not windows. The disc would play on a standalone dvd player though. My fix years ago was install a later version of genisoimage. This happened with kubuntu 8.04.

Haynes wrote:I have been trying to use k3b for about 5 days. I cannot burn what I have downloaded and I cannot, most of the time, locate what has been downloaded. I have a external hard drive that I have burned dvd's o from--I used dvd shrink to download the disks. The burned dvd's will not play on my dvd player. The burned disks will only play on the linux computer. The Mint 11 has been very confusing to use. Too many packets and subpackets.
Linux Mint 5 KDE
pcdoctor
Level 1
Level 1
 
Posts: 38
Joined: Sat Dec 27, 2008 6:49 am

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby Melon Bread on Fri Sep 09, 2011 1:48 am

/dev/urandom wrote:
randomizer wrote:Youtube is Flash

Not necessarily.

Nice little work around, thanks for sharing.
User avatar
Melon Bread
Level 1
Level 1
 
Posts: 16
Joined: Sun Sep 13, 2009 7:09 pm
Location: USA

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby jlsmith722 on Sun Sep 11, 2011 12:38 pm

Thanks Gene. This solved the problem that has been bugging me for several days.


GeneC wrote:I am thinking this is a bug in the new LMDE 201108 RC 64bit.

I dont believe that fsck (disk check) is running on boot as it should.

Reason I believe its so, is when I run Clonezilla to make a clone of my new LMDE 201108 RC 64bit partition. I get this error message (or something like it) :?

Clonezilla will stop.
Cannot clone this partion.
Its been restarted 26 times with no disk check.


This has never happened with my other two partitions (LMDE-SID, and OZ-Unity).

I go into either of the OTHER two partitions, and then run FSCK on the LMDE 201108 RC 64bit partition, and then its ok, and I can clone it.
This has happened twice, so its no fluke.
It appears that this partition is never getting checked with FSCK.
I know there is somewhere I can check to turn it on, but need someone to point me to where.

Thanks.
================================
EDIT

I think I just answered my own question.
I found out the info is in "fstab"

Here is my original

Code: Select all
# /etc/fstab: static file system information.
#
# <file system> <mount point>   <type>  <options>       <dump>  <pass>
proc   /proc   proc   defaults   0   0
# /dev/sda1
# UUID=b075c8bc-ce95-47d2-81b2-be0ed9e792d4   None   ext4   rw,errors=remount-ro   0   0
# /dev/sda3
UUID=77f88487-f637-4e04-a4da-e70e5abd2502   /   ext4   rw,errors=remount-ro   0   0
# /dev/sda4
# UUID=258B-EB7F   None   fat32   rw,errors=remount-ro   0   0
# /dev/sda2
UUID=dfb6e707-5554-4385-bd08-86b3ce830972   swap   swap   sw   0   0


Note-- I had previously commneted out (#) the lines of the other two partions that got put in here by a bug previously reported, and keeping those partitions from showing up in nautilus.

Now I found that to have fsck run on boot the Last numeral in the UUID line
Code: Select all
UUID=77f88487-f637-4e04-a4da-e70e5abd2502   /   ext4   rw,errors=remount-ro   0   0


Should be a (1) not a (0) to run fsck (checkdisk) on boot.
Code: Select all
UUID=77f88487-f637-4e04-a4da-e70e5abd2502   /   ext4   rw,errors=remount-ro   0   1


It is (0) by default in my new LMDE 201108 RC Gnome 64 bit install.
This appears to be a bug, as its set at (1) by default in my old LMDE installation...(from the OLD DVD, last Dec.)

Perhaps someone could check theirs and see if this is the case.... :wink:
[size=85]Being intelligent is not a felony. But most societies evaluate it as at least a misdemeanor.
Robert Heinlein
User avatar
jlsmith722
Level 1
Level 1
 
Posts: 48
Joined: Fri Mar 05, 2010 9:38 am

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby gosa on Wed Sep 14, 2011 7:10 am

Seems like the latest ISO's have gotten approval for Stable Release.
- I suppose there will be a blog post about it shortly...
gosa
Level 4
Level 4
 
Posts: 304
Joined: Mon Nov 01, 2010 5:12 am
Location: Spain

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby twa on Wed Sep 14, 2011 2:57 pm

Gene,
thanks ! I changed Last numeral in the UUID line from 0 to 1 and now had run fsck (checkdisk) on boot.
it was not ckd since 980 restarts !
thanks again
:?
When an issue has been resolved for you, please edit the original post to include <SOLVED> in the title. This provides a good indicator for users with a similar problem to check out the thread.
User avatar
twa
Level 4
Level 4
 
Posts: 231
Joined: Fri Sep 17, 2010 8:11 am
Location: Somewhere in the sky

Re: LMDE 201108 RC (Gnome & Xfce) released!

Postby halfmeg on Sat Sep 08, 2012 3:00 pm

halfmeg wrote:When compiling a program using the Xfce 201108 RC I get the below warning. The program doesn't work but gives 'illegal instruction' after make install and an attempt to execute it.

It compiles without the warning and works properly with 201104 Xfce.


This was a GCC compiler change ( between 4.4.5 & 4.6.1 ) which caused this.

Using march=noncoa on my Intel D805 caused 'illegal instruction' upon execution.

Dump of assembler code from 0x7ffff0862490 to 0x7ffff08624b0:
0x00007ffff0862490 <printer_init_handler+464>: pxor %xmm0,%xmm0
0x00007ffff0862494 <printer_init_handler+468>: xor %edx,%edx
0x00007ffff0862496 <printer_init_handler+470>: lea 0x3c0(%r8),%rcx
0x00007ffff086249d <printer_init_handler+477>: nopl (%rax)
=> 0x00007ffff08624a0 <printer_init_handler+480>: prefetchw 0x280(%r8)
0x00007ffff08624a8 <printer_init_handler+488>: add $0x4,%edx
0x00007ffff08624ab <printer_init_handler+491>: movaps %xmm0,(%r8)
0x00007ffff08624af <printer_init_handler+495>: movaps %xmm0,0x10(%r8)
End of assembler dump.

Shows the 'prefetchw' instruction which is not valid on many Intel Chips:

"In family 15 model 6 stepping 1, Intel started treating the AMD prefetchw
instruction as a nop. Prior to that, the instruction would raise an undefined
instruction fault. The windows kernel has prefetchw instructions compiled in
statically, and it patches over the instructions with nops if they fault."

My D805 is a family 15 model 4 stepping 7.

Using march=native permitted proper execution.
halfmeg
Level 1
Level 1
 
Posts: 2
Joined: Tue Sep 06, 2011 3:35 pm

Linux Mint is funded by ads and donations.
 
Previous

Return to Releases & Announcements

Who is online

Users browsing this forum: No registered users and 6 guests